| Home | Libraries | People | FAQ | More

## Struct null_mutex_family

boost::interprocess::null_mutex_family

## Synopsis

    // In header: <boost/interprocess/sync/mutex_family.hpp>

    struct null_mutex_family {
      // types
      typedef boost::interprocess::null_mutex mutex_type;
      typedef boost::interprocess::null_mutex recursive_mutex_type;
    };

## Description

Describes interprocess_mutex family to use with Interprocess frameworks based on null operation synchronization objects.